<template>
  <nuxt-link class="upgrade-cta" v-if="show" to="/account">Go Pro!</nuxt-link>
</template>
<style lang="scss">
@import "~assets/mixins";

.upgrade-cta {
  display: flex;
  flex-direction: row;

  padding: $grid * 0.5;

  align-items: center;
}
</style>
<script>
const ACCOUNT_FIELDS = `
    default_source
    subscription {
      id current_period_end status
      plan { 
        id active
      }
    }
`;

const ACCOUNT_QUERY = `
query {
  _:getStripeAccount {
    ${ACCOUNT_FIELDS}
  }
}
`;

export default {
  data() {
    return { show: false };
  },
  mounted() {
    this.refresh();
  },
  methods: {
    async refresh() {
      this.error = null;

      let { result, error } = await this.$gql(ACCOUNT_QUERY);

      if (result) {
        if (!result._.subscription) {
          this.show = true;
        }
      }
    },
  },
};
</script>
